<h3>Consultar Facturas</h3>
<!-- <form> -->
<form (submit)="consulta(datos)" #datos="ngForm">
    <!-- Tipo Filtro ------------------------------------------------------------------------------------------------------------------------ -->
    <div class="col-md-12 mb-1">
        <input class="form-check-input" type="radio" name="tipo_filtro" [(ngModel)]="tipo_filtro" value="Folio" aria-label="Checkbox for following text input" id="rdoPorFolio" data-bs-toggle="collapse" href="#filtroSerieFolio"><label for="rdoPorFolio">Filtrar por Folio</label>
    </div>
    <div [ngClass]="{'collapse':true,'show': tipo_filtro=='Folio'}" id="filtroSerieFolio" class="mb-3">
        <div class="card card-body">
            <div class="form-row">
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text">No. de Serie</span>
                        <input type="text" class="form-control" [(ngModel)]="folio" name="folio" aria-describedby="inputGroupPrepend2" required *ngIf="tipo_filtro=='Folio'">
                        <div id="valid"></div>
                    </div>
                </div>
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text">No. de Folio</span>
                        <input type="text" class="form-control" [(ngModel)]="serie" name="folio" aria-describedby="inputGroupPrepend2" required *ngIf="tipo_filtro=='Folio'">
                        <div id="valid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Tipo Filtro ------------------------------------------------------------------------------------------------------------------------ -->
    <div class="col-md-12 mb-1">
        <input class="form-check-input" type="radio" name="tipo_filtro" [(ngModel)]="tipo_filtro" value="RangoFecha" aria-label="Checkbox for following text input" id="rdoPorFecha" data-bs-toggle="collapse" href="#filtroRangoFecha"><label for="rdoPorFecha">Filtrar por Rango</label>        de Fecha
    </div>

    <div [ngClass]="{'collapse':true,'show': tipo_filtro=='RangoFecha'}" id="filtroRangoFecha" class="mb-3">
        <div class="card card-body">
            <div class="form-row">
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text" style="width: 100px;">Fecha Inicio</span>
                        <input type="date" class="form-control" [(ngModel)]="fecha_inicial" name="fecha_inicial" aria-describedby="inputGroupPrepend2" placeholder="Fecha Inical" required *ngIf="tipo_filtro=='RangoFecha'">
                        <div id="valid"></div>
                    </div>
                </div>
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text" style="width: 100px; ">Fecha Final</span>
                        <input type="date" class="form-control" [(ngModel)]="fecha_final" name="fecha_final" aria-describedby="inputGroupPrepend2" placeholder="Fecha Inical" required *ngIf="tipo_filtro=='RangoFecha'">
                        <div id="valid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Tipo Filtro ------------------------------------------------------------------------------------------------------------------------ -->
    <div class="col-md-12 mb-1">
        <input class="form-check-input" type="radio" name="tipo_filtro" [(ngModel)]="tipo_filtro" value="PorMes" aria-label="Checkbox for following text input" id="rdoPorMes"><label for="rdoPorMes">Filtrar del Mes Actual de Fecha</label>
    </div>

    <div [ngClass]="{'collapse':true,'show': tipo_filtro=='PorMes'}" id="filtroPorMes" class="mb-3">
        <div class="card card-body">
            <div class="form-row">
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text">Año</span>
                        <select class="form-select" name="ejercicio" id="ejercicio" [(ngModel)]="ejercicio" *ngIf="tipo_filtro=='PorMes'" required>
                            <option *ngFor="let item of [4,3,2,1,0]" value="{{anio_actual-item}}">{{anio_actual-item}}</option>
                        </select>
                        <div id="valid"></div>
                    </div>
                </div>
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text">Mes</span>
                        <select class="form-select" name="mes" id="mes" [(ngModel)]="mes" *ngIf="tipo_filtro=='PorMes'" required>
                            <option value="01">Enero</option>
                            <option value="02">Febrero</option>
                            <option value="03">Marzo</option>
                            <option value="04">Abril</option>
                            <option value="05">Mayo</option>
                            <option value="06">Junio</option>
                            <option value="07">Julio</option>
                            <option value="08">Agosto</option>
                            <option value="09">Septiembre</option>
                            <option value="10">Octubre</option>
                            <option value="11">Noviembre</option>
                            <option value="12">Diciembre</option>
                        </select>
                        <div id="valid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Tipo Filtro ------------------------------------------------------------------------------------------------------------------------ -->
    <div class="col-md-12 mb-3">
        <input class="form-check-input" type="radio" name="tipo_filtro" [(ngModel)]="tipo_filtro" value="Ultimos10" aria-label="Checkbox for following text input" id="rdoUltimos10"> <label for="rdoUltimos10">Ultimos 10 Registros</label>
    </div>

    <div class="form-row">
        <div class="col-md-3 mb-2">
            <div class="input-group input-group-sm">
                <button class="btn btn-primary" type="submit">
                    Consultar
                </button>
            </div>
        </div>
    </div>

</form>

<div class="table-responsive">

    <div class="btn-toolbar" role="toolbar">
        <div class="table-responsive">
            <div class="inner-container">
                <table [ngClass]="{'table':true,'table-hover': lista_facturas.length != 0}" id="ventas">
                    <thead>
                        <tr>
                            <th>Acciones</th>
                            <th>#</th>
                            <th>Fecha Generada</th>
                            <th>Serie/Folio</th>
                            <th>RFC Emisor</th>
                            <th>Razón Emisor</th>
                            <th>Importe</th>
                            <th>UUID</th>
                        </tr>
                    </thead>

                    <tbody *ngIf="lista_facturas.length==0">
                        <tr>
                            <td colspan="10" align="center">Sin Registros</td>
                        </tr>
                    </tbody>
                    <tbody *ngFor="let factura of lista_facturas;let i=index">
                        <tr>
                            <td>
                                <div class="input-group">
                                    <button class="btn btn-primary btn-sm" (click)="verXML(contenidoXMLModal,factura.xml_factura)" placement="top" ngbTooltip="Ver Contenido XML"><i class="bi bi-file-earmark-code-fill"></i></button>
                                    <button class="btn btn-outline-dark btn-sm" (click)="verPDF(contenidoXMLModal,factura.xml_factura)" placement="top" ngbTooltip="Generar PDF"><i style="color: red;">PDF</i></button>
                                    <button class="btn btn-danger btn-sm" (click)="cancelarFactura(factura)" placement="top" ngbTooltip="Cancelar Factura"><i class="bi bi-file-earmark-x-fill"></i></button>
                                </div>
                            </td>
                            <td>{{i+1}}</td>
                            <td>{{factura.fecha_generada}}</td>
                            <td>{{factura.serie}}{{factura.serie=="" ? "":"/"}}{{factura.folio}}</td>
                            <td>{{factura.rfc}}</td>
                            <td>{{factura.razon_social}}</td>
                            <td align="right">{{factura.importe_total | currency}}</td>
                            <td>{{factura.uuid}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div hidden>

    </div>
    <ng-template #contenidoXMLModal let-c="close" let-d="dismiss">
        <div class="modal-header">
            <h4 class="modal-title" id="modal-basic-title">Contenido XML</h4>
            <button type="button" class="close" aria-label="Close" (click)="d('cerrar')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            {{contenidoXML}}
        </div>
        <!-- <div class="modal-footer">
            <button type="button" class="btn btn-outline-dark" (click)="c('Save click')">Save</button>
        </div> -->
    </ng-template>